Last-Modified: Fri, 06 Sep 2024 00:23:16 GMT
Expires: Mon, 04 Sep 2034 00:23:16 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>gnu: Add plasma-wayland-protocols. - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='98bc5e77aff36fb787803f32c65b7f7936baf345'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>itch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=5c26e06efa38f82957154a3f0e29c27e04615542'>refs</a><a href='/guix/log/gnu/packages/patches/symmetrica-int32.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/symmetrica-int32.patch?id=5c26e06efa38f82957154a3f0e29c27e04615542'>tree</a><a href='/guix/commit/gnu/packages/patches/symmetrica-int32.patch?id=5c26e06efa38f82957154a3f0e29c27e04615542'>commit</a><a href='/guix/diff/gnu/packages/patches/symmetrica-int32.patch?id=5c26e06efa38f82957154a3f0e29c27e04615542'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/symmetrica-int32.patch'>
<input type='hidden' name='id' value='5c26e06efa38f82957154a3f0e29c27e04615542'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=5c26e06efa38f82957154a3f0e29c27e04615542'>root</a>/<a href='/guix/tree/gnu?id=5c26e06efa38f82957154a3f0e29c27e04615542'>gnu</a>/<a href='/guix/tree/gnu/packages?id=5c26e06efa38f82957154a3f0e29c27e04615542'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=5c26e06efa38f82957154a3f0e29c27e04615542'>patches</a>/<a href='/guix/tree/gnu/packages/patches/symmetrica-int32.patch?id=5c26e06efa38f82957154a3f0e29c27e04615542'>symmetrica-int32.patch</a></div><div class='content'>blob: b64f27d51ea95fa09ce8c2d4133c49514156a159 (<a href='/guix/about/gnu/packages/patches/symmetrica-int32.patch?id=5c26e06efa38f82957154a3f0e29c27e04615542'>about</a>) (<a href='/guix/plain/gnu/packages/patches/symmetrica-int32.patch?id=5c26e06efa38f82957154a3f0e29c27e04615542'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
</pre></td>
<td class='lines'><pre><code>diff -ru src/def.h c/def.h
--- src/def.h	2007-12-06 17:30:56.000000000 +0100
+++ c/def.h	2013-10-19 18:42:55.118745730 +0200
@@ -2,14 +2,9 @@
 /* INT should always be 4 byte */
 #ifndef DEF_H
 
-
-#ifdef __alpha
-typedef  int INT;
-typedef unsigned  int  UINT;
-#else /* __alpha */
-typedef long INT;
-typedef unsigned long UINT;
-#endif /* __alpha */
+#include &lt;stdint.h&gt;
+typedef int32_t INT;
+typedef uint32_t UINT;
 
 #include &lt;stdio.h&gt;
 #include &lt;memory.h&gt;
@@ -65,10 +60,13 @@
 
 
 /* definitionen fuer object.c */
-typedef INT OBJECTKIND;   /* 4 byte */
+/* NOTE: partition code assumes that there is no unused space in the
+ * object struct when an INT is stored. This requires both OBJECTKIND
+ * and OBJECTSELF to have a size equal to a machine word. */
+typedef intptr_t OBJECTKIND;
 
 typedef union {
-	INT ob_INT;
+	intptr_t ob_INT;
 	INT * ob_INTpointer;
 	char *ob_charpointer;
 	struct bruch *ob_bruch;
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>