<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='868d8068a0b0ea985c6f8d28cb7a436c96bd4de5'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=a9e65e0341d5045e425e3cf8d741a3d13cfa35a1'>refs</a><a href='/guix/log/gnu/packages/patches/tar-skip-unreliable-tests.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/tar-skip-unreliable-tests.patch?id=a9e65e0341d5045e425e3cf8d741a3d13cfa35a1'>tree</a><a href='/guix/commit/gnu/packages/patches/tar-skip-unreliable-tests.patch?id=a9e65e0341d5045e425e3cf8d741a3d13cfa35a1'>commit</a><a href='/guix/diff/gnu/packages/patches/tar-skip-unreliable-tests.patch?id=a9e65e0341d5045e425e3cf8d741a3d13cfa35a1'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/tar-skip-unreliable-tests.patch'>
<input type='hidden' name='id' value='a9e65e0341d5045e425e3cf8d741a3d13cfa35a1'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=a9e65e0341d5045e425e3cf8d741a3d13cfa35a1'>root</a>/<a href='/guix/tree/gnu?id=a9e65e0341d5045e425e3cf8d741a3d13cfa35a1'>gnu</a>/<a href='/guix/tree/gnu/packages?id=a9e65e0341d5045e425e3cf8d741a3d13cfa35a1'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=a9e65e0341d5045e425e3cf8d741a3d13cfa35a1'>patches</a>/<a href='/guix/tree/gnu/packages/patches/tar-skip-unreliable-tests.patch?id=a9e65e0341d5045e425e3cf8d741a3d13cfa35a1'>tar-skip-unreliable-tests.patch</a></div><div class='content'>blob: 27f0d7df11e9d565b340494a3b71429e6614914f (<a href='/guix/about/gnu/packages/patches/tar-skip-unreliable-tests.patch?id=a9e65e0341d5045e425e3cf8d741a3d13cfa35a1'>about</a>) (<a href='/guix/plain/gnu/packages/patches/tar-skip-unreliable-tests.patch?id=a9e65e0341d5045e425e3cf8d741a3d13cfa35a1'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
</pre></td>
<td class='lines'><pre><code>Skip tests that rely on unlinkat(2) behavior that varies between
kernel versions and is unspecified.

See &lt;http://bugs.gnu.org/20597&gt;
and &lt;http://lists.gnu.org/archive/html/bug-tar/2015-06/msg00000.html&gt;.

--- tar-1.28/tests/testsuite	2014-07-27 22:35:27.000000000 +0200
+++ tar-1.28/tests/testsuite	2015-06-16 00:21:16.906380739 +0200
@@ -34680,6 +34680,7 @@ find .
 )"
 at_fn_check_prepare_notrace 'an embedded newline' "remfiles08a.at:31"
 ( $at_check_trace;
+exit 77
 mkdir gnu
 (cd gnu
 TEST_TAR_FORMAT=gnu
@@ -34762,6 +34763,7 @@ find .
 )"
 at_fn_check_prepare_notrace 'an embedded newline' "remfiles08b.at:36"
 ( $at_check_trace;
+exit 77
 mkdir gnu
 (cd gnu
 TEST_TAR_FORMAT=gnu
@@ -34850,6 +34852,7 @@ find .
 )"
 at_fn_check_prepare_notrace 'a `...` command substitution' "remfiles08c.at:31"
 ( $at_check_trace;
+exit 77
 mkdir gnu
 (cd gnu
 TEST_TAR_FORMAT=gnu
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>