<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/open-zwave-hidapi.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='ffcf6a51405bb4aa2d86072d6cb1c174870c625c'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=ffcf6a51405bb4aa2d86072d6cb1c174870c625c'>refs</a><a href='/guix/log/gnu/packages/patches/tootle-reason-phrase.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/tootle-reason-phrase.patch?id=ffcf6a51405bb4aa2d86072d6cb1c174870c625c'>tree</a><a href='/guix/commit/gnu/packages/patches/tootle-reason-phrase.patch?id=ffcf6a51405bb4aa2d86072d6cb1c174870c625c'>commit</a><a href='/guix/diff/gnu/packages/patches/tootle-reason-phrase.patch?id=ffcf6a51405bb4aa2d86072d6cb1c174870c625c'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/tootle-reason-phrase.patch'>
<input type='hidden' name='id' value='ffcf6a51405bb4aa2d86072d6cb1c174870c625c'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=ffcf6a51405bb4aa2d86072d6cb1c174870c625c'>root</a>/<a href='/guix/tree/gnu?id=ffcf6a51405bb4aa2d86072d6cb1c174870c625c'>gnu</a>/<a href='/guix/tree/gnu/packages?id=ffcf6a51405bb4aa2d86072d6cb1c174870c625c'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=ffcf6a51405bb4aa2d86072d6cb1c174870c625c'>patches</a>/<a href='/guix/tree/gnu/packages/patches/tootle-reason-phrase.patch?id=ffcf6a51405bb4aa2d86072d6cb1c174870c625c'>tootle-reason-phrase.patch</a></div><div class='content'>blob: 72a1d1ecfa347b4f7e0d604c3490ede00c85e6bc (<a href='/guix/about/gnu/packages/patches/tootle-reason-phrase.patch?id=ffcf6a51405bb4aa2d86072d6cb1c174870c625c'>about</a>) (<a href='/guix/plain/gnu/packages/patches/tootle-reason-phrase.patch?id=ffcf6a51405bb4aa2d86072d6cb1c174870c625c'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
</pre></td>
<td class='lines'><pre><code>From 858ee78fbebe161a4cdd707a469dc0f045211a51 Mon Sep 17 00:00:00 2001
From: Max Harmathy &lt;harmathy@mailbox.org&gt;
Date: Wed, 25 Aug 2021 13:05:58 +0200
Subject: [PATCH] Use reason_phrase instead of get_phrase

---
 src/Services/Cache.vala   | 2 +-
 src/Services/Network.vala | 7 +------
 2 files changed, 2 insertions(+), 7 deletions(-)

diff --git a/src/Services/Cache.vala b/src/Services/Cache.vala
index 2251697..2ed314e 100644
--- a/src/Services/Cache.vala
+++ b/src/Services/Cache.vala
@@ -88,7 +88,7 @@ public class Tootle.Cache : GLib.Object {
                 try {
                     var code = msg.status_code;
 					if (code != Soup.Status.OK) {
-					    var error = network.describe_error (code);
+					    var error = msg.reason_phrase;
 					    throw new Oopsie.INSTANCE (@"Server returned $error");
 					}
 
diff --git a/src/Services/Network.vala b/src/Services/Network.vala
index fa2839c..d0143b0 100644
--- a/src/Services/Network.vala
+++ b/src/Services/Network.vala
@@ -56,7 +56,7 @@ public class Tootle.Network : GLib.Object {
                 else if (status == Soup.Status.CANCELLED)
                     debug ("Message is cancelled. Ignoring callback invocation.");
                 else
-                    ecb ((int32) status, describe_error ((int32) status));
+                    ecb ((int32) status, msg.reason_phrase);
             });
         }
         catch (Error e) {
@@ -65,11 +65,6 @@ public class Tootle.Network : GLib.Object {
         }
     }
 
-	public string describe_error (uint code) {
-	    var reason = Soup.Status.get_phrase (code);
-		return @"$code: $reason";
-	}
-
     public void on_error (int32 code, string message) {
         warning (message);
         app.toast (message);
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>