<!DOCTYPE html>
<html lang='en'>
<head>
<title>fetch.js « test - tracifyjs - Reverse engineer's tool for tracing the flow of data in JS program, based on UglifyJS</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/tracifyjs/atom/test/fetch.js?h=templatifyjs' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/tracifyjs/'>tracifyjs</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='090ee895e12ff7e985a972c448b7d29f63e12696'/><select name='h' onchange='this.form.submit();'>
<option value='apprentice'>apprentice</option>
<option value='templatifyjs' selected='selected'>templatifyjs</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Reverse engineer's tool for traci</td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=85a411bc282f9d6749d5ff029e152fba9f5b4712'>refs</a><a href='/guix/log/gnu/packages/patches/ttf2eot-cstddef.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/ttf2eot-cstddef.patch?id=85a411bc282f9d6749d5ff029e152fba9f5b4712'>tree</a><a href='/guix/commit/gnu/packages/patches/ttf2eot-cstddef.patch?id=85a411bc282f9d6749d5ff029e152fba9f5b4712'>commit</a><a href='/guix/diff/gnu/packages/patches/ttf2eot-cstddef.patch?id=85a411bc282f9d6749d5ff029e152fba9f5b4712'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/ttf2eot-cstddef.patch'>
<input type='hidden' name='id' value='85a411bc282f9d6749d5ff029e152fba9f5b4712'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=85a411bc282f9d6749d5ff029e152fba9f5b4712'>root</a>/<a href='/guix/tree/gnu?id=85a411bc282f9d6749d5ff029e152fba9f5b4712'>gnu</a>/<a href='/guix/tree/gnu/packages?id=85a411bc282f9d6749d5ff029e152fba9f5b4712'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=85a411bc282f9d6749d5ff029e152fba9f5b4712'>patches</a>/<a href='/guix/tree/gnu/packages/patches/ttf2eot-cstddef.patch?id=85a411bc282f9d6749d5ff029e152fba9f5b4712'>ttf2eot-cstddef.patch</a></div><div class='content'>blob: af76898e7727a56bbed178117dd2f1ae39949afe (<a href='/guix/about/gnu/packages/patches/ttf2eot-cstddef.patch?id=85a411bc282f9d6749d5ff029e152fba9f5b4712'>about</a>) (<a href='/guix/plain/gnu/packages/patches/ttf2eot-cstddef.patch?id=85a411bc282f9d6749d5ff029e152fba9f5b4712'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
</pre></td>
<td class='lines'><pre><code>From resolution of https://code.google.com/p/ttf2eot/issues/detail?id=26

--- ttf2eot-0.0.2-2/OpenTypeUtilities.cpp	2009-04-30 04:18:46.000000000 -0500
+++ ttf2eot-0.0.2-2/OpenTypeUtilities.cpp	2016-03-31 01:06:39.109996011 -0500
@@ -25,6 +25,7 @@
  * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
  */
 
+#include &lt;cstddef&gt;
 #include &lt;string.h&gt;
 #include &lt;vector&gt;
 
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>