<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='c3530fd66195091201cd41b4a917de1bc6145c63'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>ption>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=533a893cc6b03f100566760d6e0c8e0500ed7082'>refs</a><a href='/guix/log/gnu/packages/patches/unzip-CVE-2016-9844.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/unzip-CVE-2016-9844.patch?id=533a893cc6b03f100566760d6e0c8e0500ed7082'>tree</a><a href='/guix/commit/gnu/packages/patches/unzip-CVE-2016-9844.patch?id=533a893cc6b03f100566760d6e0c8e0500ed7082'>commit</a><a href='/guix/diff/gnu/packages/patches/unzip-CVE-2016-9844.patch?id=533a893cc6b03f100566760d6e0c8e0500ed7082'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/unzip-CVE-2016-9844.patch'>
<input type='hidden' name='id' value='533a893cc6b03f100566760d6e0c8e0500ed7082'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=533a893cc6b03f100566760d6e0c8e0500ed7082'>root</a>/<a href='/guix/tree/gnu?id=533a893cc6b03f100566760d6e0c8e0500ed7082'>gnu</a>/<a href='/guix/tree/gnu/packages?id=533a893cc6b03f100566760d6e0c8e0500ed7082'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=533a893cc6b03f100566760d6e0c8e0500ed7082'>patches</a>/<a href='/guix/tree/gnu/packages/patches/unzip-CVE-2016-9844.patch?id=533a893cc6b03f100566760d6e0c8e0500ed7082'>unzip-CVE-2016-9844.patch</a></div><div class='content'>blob: 0e4a1733971000a1b6b57cdf552ecddf14bace90 (<a href='/guix/about/gnu/packages/patches/unzip-CVE-2016-9844.patch?id=533a893cc6b03f100566760d6e0c8e0500ed7082'>about</a>) (<a href='/guix/plain/gnu/packages/patches/unzip-CVE-2016-9844.patch?id=533a893cc6b03f100566760d6e0c8e0500ed7082'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
</pre></td>
<td class='lines'><pre><code>From 754137e70cf58a64ad524b704a86b651ba0cde07 Mon Sep 17 00:00:00 2001
From: Petr Stodulka &lt;pstodulk@redhat.com&gt;
Date: Wed, 14 Dec 2016 16:30:36 +0100
Subject: [PATCH] Fix CVE-2016-9844 (rhbz#1404283)

Fixes buffer overflow in zipinfo in similar way like fix for
CVE-2014-9913 provided by upstream.
---
 zipinfo.c | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

diff --git a/zipinfo.c b/zipinfo.c
index c03620e..accca2a 100644
--- a/zipinfo.c
+++ b/zipinfo.c
@@ -1984,7 +1984,19 @@ static int zi_short(__G)   /* return PK-type error code */
         ush  dnum=(ush)((G.crec.general_purpose_bit_flag&gt;&gt;1) &amp; 3);
         methbuf[3] = dtype[dnum];
     } else if (methnum &gt;= NUM_METHODS) {   /* unknown */
-        sprintf(&amp;methbuf[1], "%03u", G.crec.compression_method);
+        /* 2016-12-05 SMS.
+         * https://launchpad.net/bugs/1643750
+         * Unexpectedly large compression methods overflow
+         * &amp;methbuf[].  Use the old, three-digit decimal format
+         * for values which fit.  Otherwise, sacrifice the "u",
+         * and use four-digit hexadecimal.
+         */
+        if (G.crec.compression_method &lt;= 999) {
+              sprintf( &amp;methbuf[ 1], "%03u", G.crec.compression_method);
+        } else {
+              sprintf( &amp;methbuf[ 0], "%04X", G.crec.compression_method);
+        }
+
     }
 
     for (k = 0;  k &lt; 15;  ++k)
-- 
2.5.5

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>