<!DOCTYPE html>
<html lang='en'>
<head>
<title>gnu: Add qtvirtualkeyboard-5. - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='f370b61078dd0863631433f43d229196d5dc86a7'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=5d14e1c0b05b0b559171f513701108e17e72f523'>refs</a><a href='/guix/log/gnu/packages/patches/util-linux-tests.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/util-linux-tests.patch?id=5d14e1c0b05b0b559171f513701108e17e72f523'>tree</a><a href='/guix/commit/gnu/packages/patches/util-linux-tests.patch?id=5d14e1c0b05b0b559171f513701108e17e72f523'>commit</a><a href='/guix/diff/gnu/packages/patches/util-linux-tests.patch?id=5d14e1c0b05b0b559171f513701108e17e72f523'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/util-linux-tests.patch'>
<input type='hidden' name='id' value='5d14e1c0b05b0b559171f513701108e17e72f523'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=5d14e1c0b05b0b559171f513701108e17e72f523'>root</a>/<a href='/guix/tree/gnu?id=5d14e1c0b05b0b559171f513701108e17e72f523'>gnu</a>/<a href='/guix/tree/gnu/packages?id=5d14e1c0b05b0b559171f513701108e17e72f523'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=5d14e1c0b05b0b559171f513701108e17e72f523'>patches</a>/<a href='/guix/tree/gnu/packages/patches/util-linux-tests.patch?id=5d14e1c0b05b0b559171f513701108e17e72f523'>util-linux-tests.patch</a></div><div class='content'>blob: ec1671f22446ecda3449db5be3094b3d6f67ba14 (<a href='/guix/about/gnu/packages/patches/util-linux-tests.patch?id=5d14e1c0b05b0b559171f513701108e17e72f523'>about</a>) (<a href='/guix/plain/gnu/packages/patches/util-linux-tests.patch?id=5d14e1c0b05b0b559171f513701108e17e72f523'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
</pre></td>
<td class='lines'><pre><code>This test checks whether 'root' is successfully translated to UID/GID 0,
using 'getpwnam' in libmount.  This doesn't work in the chroot because
/etc/passwd doesn't contain an entry for 'root' so skip it.

The second test requires that '/sys/dev/block' is present, which is not
the case inside the build container.

--- util-linux-2.25.2/tests/ts/libmount/optstr	2015-01-23 13:58:41.181151194 +0100
+++ util-linux-2.25.2/tests/ts/libmount/optstr	2015-01-23 13:58:42.829161716 +0100
@@ -108,10 +108,6 @@
 ts_run $TESTPROG --apply --user "noexec,nosuid,loop=/dev/looop0" 0x408 &amp;&gt; $TS_OUTPUT
 ts_finalize_subtest
 
-ts_init_subtest "fix"
-ts_run $TESTPROG --fix "uid=root,gid=root" &amp;&gt; $TS_OUTPUT
-ts_finalize_subtest
-
 ts_init_subtest "deduplicate"
 ts_run $TESTPROG --dedup bbb,ccc,AAA,xxx,AAA=a,AAA=bbb,ddd,AAA=ccc,fff=eee AAA &amp;&gt; $TS_OUTPUT
 ts_finalize_subtest
--- a/tests/ts/lsblk/lsblk	2019-03-11 21:08:23.734387391 +0100
+++ b/tests/ts/lsblk/lsblk	2019-03-11 21:12:43.635473111 +0100
@@ -22,6 +22,8 @@
 
 ts_init "$*"
 
+ts_skip "/sys/dev/block is not available"
+
 ts_check_test_command "$TS_CMD_LSBLK"
 ts_check_prog xz
 ts_check_prog tar
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>