<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='23af76f136591122b7fdd25a984319795419e081'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=2a511f7a1a114eeba49273a1c32d80dfff5dee10'>refs</a><a href='/guix/log/gnu/packages/patches/w3m-fix-compile.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/w3m-fix-compile.patch?id=2a511f7a1a114eeba49273a1c32d80dfff5dee10'>tree</a><a href='/guix/commit/gnu/packages/patches/w3m-fix-compile.patch?id=2a511f7a1a114eeba49273a1c32d80dfff5dee10'>commit</a><a href='/guix/diff/gnu/packages/patches/w3m-fix-compile.patch?id=2a511f7a1a114eeba49273a1c32d80dfff5dee10'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/w3m-fix-compile.patch'>
<input type='hidden' name='id' value='2a511f7a1a114eeba49273a1c32d80dfff5dee10'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=2a511f7a1a114eeba49273a1c32d80dfff5dee10'>root</a>/<a href='/guix/tree/gnu?id=2a511f7a1a114eeba49273a1c32d80dfff5dee10'>gnu</a>/<a href='/guix/tree/gnu/packages?id=2a511f7a1a114eeba49273a1c32d80dfff5dee10'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=2a511f7a1a114eeba49273a1c32d80dfff5dee10'>patches</a>/<a href='/guix/tree/gnu/packages/patches/w3m-fix-compile.patch?id=2a511f7a1a114eeba49273a1c32d80dfff5dee10'>w3m-fix-compile.patch</a></div><div class='content'>blob: 5604052f67c152f06a95d58c731beafa61b4f708 (<a href='/guix/about/gnu/packages/patches/w3m-fix-compile.patch?id=2a511f7a1a114eeba49273a1c32d80dfff5dee10'>about</a>) (<a href='/guix/plain/gnu/packages/patches/w3m-fix-compile.patch?id=2a511f7a1a114eeba49273a1c32d80dfff5dee10'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
</pre></td>
<td class='lines'><pre><code>https://bugs.archlinux.org/task/33397

diff -aur old/main.c new/main.c
--- main.c	2013-01-14 18:16:14.216210053 -0600
+++ main.c	2013-01-14 18:17:28.816220559 -0600
@@ -833,7 +833,8 @@
     mySignal(SIGPIPE, SigPipe);
 #endif

-    orig_GC_warn_proc = GC_set_warn_proc(wrap_GC_warn_proc);
+    orig_GC_warn_proc = GC_get_warn_proc();
+    GC_set_warn_proc(wrap_GC_warn_proc);
     err_msg = Strnew();
     if (load_argc == 0) {
	/* no URL specified */
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>