<!DOCTYPE html>
<html lang='en'>
<head>
<title>.dir-locals.el - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/.dir-locals.el?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='e91d4accd102803457d320ccf6b8b6193a51f85e'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=42350bbe77bf0ef106f241f07cd2f5e2768e4b2d'>refs</a><a href='/guix/log/gnu/packages/patches/xf86-video-tga-remove-mibstore.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/xf86-video-tga-remove-mibstore.patch?id=42350bbe77bf0ef106f241f07cd2f5e2768e4b2d'>tree</a><a href='/guix/commit/gnu/packages/patches/xf86-video-tga-remove-mibstore.patch?id=42350bbe77bf0ef106f241f07cd2f5e2768e4b2d'>commit</a><a href='/guix/diff/gnu/packages/patches/xf86-video-tga-remove-mibstore.patch?id=42350bbe77bf0ef106f241f07cd2f5e2768e4b2d'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/xf86-video-tga-remove-mibstore.patch'>
<input type='hidden' name='id' value='42350bbe77bf0ef106f241f07cd2f5e2768e4b2d'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=42350bbe77bf0ef106f241f07cd2f5e2768e4b2d'>root</a>/<a href='/guix/tree/gnu?id=42350bbe77bf0ef106f241f07cd2f5e2768e4b2d'>gnu</a>/<a href='/guix/tree/gnu/packages?id=42350bbe77bf0ef106f241f07cd2f5e2768e4b2d'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=42350bbe77bf0ef106f241f07cd2f5e2768e4b2d'>patches</a>/<a href='/guix/tree/gnu/packages/patches/xf86-video-tga-remove-mibstore.patch?id=42350bbe77bf0ef106f241f07cd2f5e2768e4b2d'>xf86-video-tga-remove-mibstore.patch</a></div><div class='content'>blob: b1a96c3f107db6b196b3b89a1d276c4549c5418b (<a href='/guix/about/gnu/packages/patches/xf86-video-tga-remove-mibstore.patch?id=42350bbe77bf0ef106f241f07cd2f5e2768e4b2d'>about</a>) (<a href='/guix/plain/gnu/packages/patches/xf86-video-tga-remove-mibstore.patch?id=42350bbe77bf0ef106f241f07cd2f5e2768e4b2d'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
</pre></td>
<td class='lines'><pre><code>Removes references to mibstore.h and miInitializeBackingStore, which
have been removed from xorg-server.  Zack Rusin &lt;zackr@vmware.com&gt;
wrote: "It was a noop for at least 5 years and it has been removed."
See: http://patches.openembedded.org/patch/46133/

--- xf86-video-tga-1.2.2/src/tga_accel.c.~1~	2012-07-15 23:54:04.000000000 -0400
+++ xf86-video-tga-1.2.2/src/tga_accel.c	2014-12-19 01:40:27.535913013 -0500
@@ -37,7 +37,6 @@
 #include "xf86cmap.h"
 #include "mipointer.h"
 
-#include "mibstore.h"
 #include "miline.h"
 
 #include "tga_regs.h"
--- xf86-video-tga-1.2.2/src/tga_driver.c.~1~	2012-07-15 23:54:28.000000000 -0400
+++ xf86-video-tga-1.2.2/src/tga_driver.c	2014-12-19 01:40:48.756018238 -0500
@@ -46,8 +46,6 @@
 
 /* software cursor */
 #include "mipointer.h"
-/* backing store */
-#include "mibstore.h"
 
 /*  #include "mibank.h" */
 /* colormap manipulation */
@@ -1451,7 +1449,6 @@
     
     fbPictureInit (pScreen, 0, 0);
     
-    miInitializeBackingStore(pScreen);
     xf86SetBackingStore(pScreen);
     xf86SetSilkenMouse(pScreen);
 
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>